This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 925489 - gretl: Does not support aarch64 in f19 and rawhide
gretl: Does not support aarch64 in f19 and rawhide
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gretl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2013-03-22 20:40 EDT by Dennis Gilmore
Modified: 2014-05-27 13:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-27 13:23:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-03-22 20:40:28 EDT
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  gretl appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/gretl/gretl-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.
Comment 1 hannes 2014-05-27 13:23:06 EDT
Ok, it's fixed upstream:
http://sourceforge.net/p/gretl/bugs/183/

Note You need to log in before you can comment on or make changes to this bug.